## org.apache.batik.parser
Interface LengthListHandler

All Superinterfaces:
  LengthHandler

All Known Implementing Classes:
  AbstractSVGLengthList.LengthListBuilder, DefaultLengthListHandler

public interface LengthListHandler
extends LengthHandler

This interface must be implemented and then registred as the handler of a `LengthListParser` instance in order to be notified of parsing events.

Method Summary
`void` `endLengthList()` Invoked when the length attribute ends.
`void` `startLengthList()` Invoked when the length list attribute starts.

Methods inherited from interface org.apache.batik.parser.LengthHandler
`cm, em, endLength, ex, in, lengthValue, mm, pc, percentage, pt, px, startLength`

Method Detail

### startLengthList

    public void startLengthList()
                         throws ParseException

  Invoked when the length list attribute starts.

  Throws:
    `ParseException` - if an error occures while processing the length list.

### endLengthList

    public void endLengthList()
                       throws ParseException

  Invoked when the length attribute ends.

  Throws:
    `ParseException` - if an error occures while processing the length list.

Copyright © 2004 Apache Software Foundation. All Rights Reserved.